=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	# Until all platforms have debhelper 9.20151004, Debian bug 719148 needs to be worked around
	dh_auto_configure --buildsystem=cmake --parallel -- -DCMAKE_INSTALL_SYSCONFDIR=/etc

override_dh_installdocs:
	dh_installdocs --link-doc=fish

# Still needed until all platforms have debhelper 9.20151219
# Consider transitioning https://wiki.debian.org/DebugPackage
override_dh_strip:
	dh_strip --dbg-package=fish-dbg
