=== debian/changelog ===
fish (3.1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  [ Piper McCorkle ]
  * Depend on python3-distutils so fish_config works (Closes: #956565)

 -- Punit Agrawal <punit@debian.org>  Sat, 18 Apr 2020 07:36:57 +0900

fish (3.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark fish-common as Multi-Arch: foreign

 -- Punit Agrawal <punit@debian.org>  Sat, 07 Mar 2020 10:01:55 +0900

fish (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * Deprecate two of the old patches as they nolonger apply.
  * Build system migration from autotools to CMake.
  * Export HOME=/tmp for the tests.
  * Update my mail address in control and copyright.
  * Don't install rg.fish (older than the one provided in src:ripgrep).
    Change dh_missing behaviour to --fail-missing.
  * Bump Standards-Version to 4.5.0 (no change).
  * Rules: don't install CHANGELOG more than once.
  * Apply wrap-and-sort.
  * Deprecate d/compat and B-D on debhelper-compat (= 12).
  * Build-Depends on python3.
  * Build-Depends on ninja and use the cmake+ninja buildsystem.

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Feb 2020 12:19:00 +0800
