=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

export TERM=xterm
export LC_ALL=C.UTF-8
export HOME=/tmp/

%:
	dh $@ -Scmake+ninja

override_dh_install:
	dh_install -Xrg.fish -XCHANGELOG

override_dh_missing:
	dh_missing --fail-missing
