=== debian/changelog ===
fish (3.1.2-3+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Prevent certain git commands that may invoke certain external programs
    in fish_git_prompt (CVE-2022-20001)

 -- Aron Xu <aron@debian.org>  Fri, 16 Sep 2022 22:42:06 +0800

fish (3.1.2-3) unstable; urgency=medium

  * Fix changelog that I somehow mangled.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 24 Jul 2020 09:27:34 +0200

fish (3.1.2-2) unstable; urgency=medium

  * Minimize upstream keyring.
  * Fix dh_install excludes, thanks to David Adam (Closes: #964385).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 23 Jul 2020 12:28:54 +0200

fish (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2
  * Bump debhelper compat level to 13 (no change).
  * Specify Rules-Requires-Root: no.

 -- Mo Zhou <lumin@debian.org>  Tue, 12 May 2020 09:10:21 +0800
