=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Build-Depends: bc,
                bsdmainutils,
                cmake,
-               debhelper (>= 11),
-               debhelper-compat (=12),
+               debhelper-compat (= 13),
                doxygen,
                expect,
                gettext,
@@ -23,6 +22,7 @@
 Homepage: http://fishshell.com/
 Vcs-Browser: https://salsa.debian.org/debian/fish
 Vcs-Git: https://salsa.debian.org/debian/fish.git
+Rules-Requires-Root: no
 
 Package: fish
 Architecture: any
