=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,7 @@
 	dh $@ -Scmake+ninja
 
 override_dh_install:
-	dh_install -Xrg.fish -XCHANGELOG
+	dh_install -Xshare/fish/completions/rg.fish -XCHANGELOG
 
 override_dh_missing:
 	dh_missing --fail-missing
-
