=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" \
   https://github.com/fish-shell/fish-shell/releases \
   (?:.*?)/fish-(\d[\d.]*)\.tar\.gz debian
