=== debian/changelog ===
fish (3.3.1+ds-3) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * Fix missing incldue for DEB_VERSION (Closes: #1001583, #1002332).
  * Adapt version filtering regex to fix build on Salsa CI

  [ Mo Zhou ]
  * No resetting PATH with hardcoded list. (Closes: #1000199)
    Thanks to Federico Di Gregorio
  * Use DEB_VERSION_UPSTREAM instead for correct version string.

 -- Mo Zhou <lumin@debian.org>  Sun, 13 Feb 2022 12:37:31 -0500

fish (3.3.1+ds-2) unstable; urgency=medium

  [ David Adam ]
  * Remove obsolete dh_install override
  * Remove and refresh dependencies
  * Add build dependency on Sphinx (Closes: #999701)

  [ Jochen Sprickerhof ]
  * Fix reset $PATH only for login shells (Closes: #999749)
  * Fix dependency on ul
  * Drop old Pre-Dep/Replaces (versions are in oldoldstable)
  * Drop unused build dependency on quilt
  * Adopt to debhelper 13
  * Drop wrong lintian overwrites
  * Replace transition package libncurses5-dev

  [ Mo Zhou ]
  * d/watch: Import from git release instead of git tags.
  * Really export variables to fixup hardening.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.0 (no change).

 -- Mo Zhou <lumin@debian.org>  Fri, 19 Nov 2021 14:35:52 -0500

fish (3.3.1+ds-1) unstable; urgency=medium

  [ Tristan Seligmann ]
  * Delete .gitlab-ci.yml; using recipes/debian.yml@salsa-ci-team/pipeline now.

  [ Patrice Duroux ]
  * Make new upstream releases detectable by uscan. (Closes: #985665)

  [ Mo Zhou ]
  * New upstream version 3.3.1 (Closes: #968303)
  * Update debian/fish.docs and d/watch files.
  * Add python3-pexpect as a test dependency.
  * Synchronize default PATH of fish with /etc/profile. (Closes: #985153)
  * Remove unwanted tests following upstream.
  * Override upstream git version detection.
  * Strip upstream vendored PCRE2 library.

 -- Mo Zhou <lumin@debian.org>  Sun, 14 Nov 2021 20:28:38 -0500
