=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%,dversionmangle=s/\+ds$//,repacksuffix=+ds" \
   https://github.com/fish-shell/fish-shell/releases \
   (?:.*?)/fish-(\d[\d.]*)@ARCHIVE_EXT@ debian
