=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export TERM=xterm
export LC_ALL=C.UTF-8

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ -Scmake+ninja

execute_before_dh_auto_configure:
	echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+ds//' -e 's/\+salsaci//' > version

override_dh_install:
	dh_install -XCHANGELOG
