=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

# Setting the build system is still required, because otherwise the GNUmakefile gets picked up
override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake --parallel

override_dh_installdocs:
	dh_installdocs --link-doc=fish

# Still needed until all platforms have debhelper 9.20151219
# Consider transitioning https://wiki.debian.org/DebugPackage
override_dh_strip:
	dh_strip --dbg-package=fish-dbg
