## fish 3.5.1+ds

=== debian/changelog ===
fish (3.5.1+ds-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 28 Jul 2022 16:31:35 -0700

fish (3.5.1+ds-1) unstable; urgency=medium

  * New upstream version 3.5.1+ds (released July 20, 2022)

 -- Mo Zhou <lumin@debian.org>  Sat, 23 Jul 2022 09:42:32 -0700

fish (3.5.0+ds-1) unstable; urgency=medium

  * New upstream version 3.5.0+ds (June 2022)

 -- Mo Zhou <lumin@debian.org>  Thu, 16 Jun 2022 20:02:33 -0700

fish (3.4.1+ds-1) unstable; urgency=medium

  * New upstream version 3.4.1 (Closes: #1008618, #1008149)
  * d/copyright: Bump year.

 -- Mo Zhou <lumin@debian.org>  Thu, 31 Mar 2022 21:17:18 -0400

fish (3.4.0+ds-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * No longer need to manually create the `version` file.
  * Remove unused patches and upstream-merged patches.
  * Change pristine-tar to True in gbp.conf.

 -- Mo Zhou <lumin@debian.org>  Sat, 19 Mar 2022 22:51:25 -0400
