=== debian/control ===
Source: fish
Section: shells
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               libncurses-dev,
               libpcre2-dev,
               locales-all <!nocheck>,
               ninja-build,
               procps <!nocheck>,
               python3 <!nocheck>,
               python3-pexpect <!nocheck>,
               python3-sphinx
Standards-Version: 4.6.0
Homepage: http://fishshell.com/
Vcs-Browser: https://salsa.debian.org/debian/fish
Vcs-Git: https://salsa.debian.org/debian/fish.git
Rules-Requires-Root: no

Package: fish
Architecture: any
Depends: bsdextrautils,
         fish-common (= ${source:Version}),
         groff-base,
         lynx | www-browser,
         man-db,
         python3,
         ${misc:Depends},
         ${shlibs:Depends},
         xsel
Suggests: doc-base
Description: friendly interactive shell
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.

Package: fish-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: fish
Description: friendly interactive shell (architecture-independent files)
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.
 .
 This package contains the common fish files shared by all architectures.
